#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
########################################

Function test {
trap [System.Exception] { "Błąd"; return $false }
1 /$null
return $true
}

$e = test
$e
if ($e) { "ok!" }
else { "Tu był błąd!" }